Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IBaseRequestContext

All Superinterfaces
  IMutableRegistrationContext, INillable, com.bea.wsrp.bind.IPortletContextHolder, IRegistrationContext, IUserContext, Serializable

All Known Subinterfaces:
  IBlockingInteractionBaseRequestContext, IBlockingInteractionRequestContext, IGetMarkupBaseRequestContext, IGetMarkupRequestContext, IGetRenderDependenciesRequestContext, IGetResourceRequestContext, IHandleEventsRequestContext, IInitCookieRequestContext, IReleaseSessionsRequestContext

    public interface IBaseRequestContext

extends IMutableRegistrationContext, IUserContext, com.bea.wsrp.bind.IPortletContextHolder

A base request context that provides access to common entities of a web application, a portlet, a WSRP SOAP request message, and the Producer.It also provides methods to add new http headers or modify existing headers.

Note: The headers "Content-Type", "User-Agent", "Cookie", "Accept", "Authorization", and "SOAPAction" are NOT ALLOWED to add or modify.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`void` | `addMimeHeader(String name, String value)` Adds an http header with the supplied `name` and the supplied `value` to the underlying SOAP message.
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()` Returns the http request associated with this context.
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()` Returns the http response associated with this context.
`Map<String,List<String>>` | `getMimeHeaders()` Returns a map of http header names and a list of values associated with a header.
`List<String>` | `getMimeHeaders(String name)` Returns the list of values associated with the supplied `name`.
`com.bea.wsrp.config.ProducerInfo` | `getProducerInfo()` Returns the information about the Producer to which a SOAP request message is being sent.
`javax.servlet.ServletContext` | `getServletContext()` Returns the ServletContext to which this context belongs.
`void` | `removeMimeHeader(String name)` Removes the given header.
`void` | `setMimeHeader(String name, String value)` Associates the supplied `value` to an http header identified by the supplied `name`.

Methods inherited from interface com.bea.wsrp.model.IMutableRegistrationContext
`setRegistrationHandle, setRegistrationState`

Methods inherited from interface com.bea.wsrp.model.IRegistrationContext
`getRegistrationHandle, getRegistrationState`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Methods inherited from interface com.bea.wsrp.model.markup.IUserContext
`getUserContextKey, getUserProfile, setUserContextKey`

Methods inherited from interface com.bea.wsrp.model.INillable
`isNil`

Methods inherited from interface com.bea.wsrp.bind.IPortletContextHolder
`getPortletContext`

Method Detail

### getHttpServletRequest

    javax.servlet.http.HttpServletRequest getHttpServletRequest()

  Returns the http request associated with this context.

  Returns
    An http request associated with this context.

### getHttpServletResponse

    javax.servlet.http.HttpServletResponse getHttpServletResponse()

  Returns the http response associated with this context. Note: Directly writing data to `javax.servlet.http.HttpServletResponse.getOutputStream()` may result in undesirable UI effects.

  Returns
    An http response associated with this context.

### getServletContext

    javax.servlet.ServletContext getServletContext()

  Returns the ServletContext to which this context belongs.

  Returns
    The ServletContext for the current web application.

### getMimeHeaders

    Map<String,List<String>> getMimeHeaders()

  Returns a map of http header names and a list of values associated with a header. Both the returned map and the list values are unmodifiable. These headers are going to be sent to the Producer associated with this context.

  Returns
    a map of http headers and their values.

### addMimeHeader

    void addMimeHeader(String name,
                       String value)

  Adds an http header with the supplied `name` and the supplied `value` to the underlying SOAP message.

  Ignores `null` name and value.

  Parameters
    `name` - a non-null http header name.
    `value` - a non-null http header value.
  See Also
    `soap.MimeHeaders`

### setMimeHeader

    void setMimeHeader(String name,
                       String value)

  Associates the supplied `value` to an http header identified by the supplied `name`.

  Parameters
    `name` - a non-null http header name.
    `value` - a non-null http header value.
  See Also
    `soap.MimeHeaders`

### getMimeHeaders

    List<String> getMimeHeaders(String name)

  Returns the list of values associated with the supplied `name`.

  The returned list is unmodifiable.

  Parameters
    `name` - an http header name.
  Returns
    the list of values associated with the supplied `name`.

### removeMimeHeader

    void removeMimeHeader(String name)

  Removes the given header.

  Parameters
    `name` - a non-null http header name.
  See Also
    `soap.MimeHeaders`

### getProducerInfo

    com.bea.wsrp.config.ProducerInfo getProducerInfo()

  Returns the information about the Producer to which a SOAP request message is being sent.

  Returns
    a producer's information.
  See Also
    `ProducerInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved